(function($) {

	$(document).ready(function() {

		const elems = document.querySelectorAll('.plp-block-notice.plp-dismissable[data-id]');
		elems.forEach(el => {
			const uid = el.getAttribute( 'data-id' );
			if ( ! localStorage.getItem(`notice-${uid}`) ) {
				el.style.display = 'block';
			}

			if ( $( '.plp-notice-dismiss' ).length ) {
				el.querySelector('.plp-notice-dismiss').addEventListener('click', () => {
					localStorage.setItem(`notice-${uid}`, 1);
					el.style.display = '';
				})
			}
		})

	});

})(jQuery);
